## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate xxhash-rust

Name:           rust-xxhash-rust
Version:        0.8.8
Release:        %autorelease
Summary:        Implementation of xxhash

License:        BSL-1.0
URL:            https://crates.io/crates/xxhash-rust
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Implementation of xxhash.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const_xxh3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const_xxh3-devel %{_description}

This package contains library source intended for building other packages which
use the "const_xxh3" feature of the "%{crate}" crate.

%files       -n %{name}+const_xxh3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const_xxh32-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const_xxh32-devel %{_description}

This package contains library source intended for building other packages which
use the "const_xxh32" feature of the "%{crate}" crate.

%files       -n %{name}+const_xxh32-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const_xxh64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const_xxh64-devel %{_description}

This package contains library source intended for building other packages which
use the "const_xxh64" feature of the "%{crate}" crate.

%files       -n %{name}+const_xxh64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xxh3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xxh3-devel %{_description}

This package contains library source intended for building other packages which
use the "xxh3" feature of the "%{crate}" crate.

%files       -n %{name}+xxh3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xxh32-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xxh32-devel %{_description}

This package contains library source intended for building other packages which
use the "xxh32" feature of the "%{crate}" crate.

%files       -n %{name}+xxh32-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xxh64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xxh64-devel %{_description}

This package contains library source intended for building other packages which
use the "xxh64" feature of the "%{crate}" crate.

%files       -n %{name}+xxh64-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
# * skip a test for which fixtures are not included in published crates
%cargo_test -a -- -- --exact --skip test_vectors_xxh3
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.8.8-1
- Rebuilt for MSVSphere 9.3

* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.8-1
- Update to version 0.8.8; Fixes RHBZ#2255350

* Thu Sep 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.7-1
- Update to version 0.8.7; Fixes RHBZ#2237867

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.6-1
- Update to version 0.8.6; Fixes RHBZ#2130056

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.5-1
- Initial import (#2080247)
